edu.isi.pegasus.planner.invocation

## Class File

- java.lang.Object
- - org.griphyn.vdl.Chimera
  - - edu.isi.pegasus.planner.invocation.Invocation
    - - edu.isi.pegasus.planner.invocation.File

All Implemented Interfaces:
  HasText, java.io.Serializable

Direct Known Subclasses:
  Descriptor, Regular, Temporary

    public abstract class File
    extends Invocation
    implements HasText

This class is the base class for a file object.

Version:
  $Revision$
Author:
  Jens-S. Vöckler, Yong Zhao
See Also:
  Serialized Form

### Field Summary

Fields
`protected java.lang.String` `m_hexbyte` optional first 16 byte of file, or less if shorter.

### Constructor Summary

Constructors
Constructor and Description
`File()` Default c'tor: Construct a hollow shell and allow further information to be added later.
`File(java.lang.String value)` C'tor: Constructs the value in the base class.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `appendValue(java.lang.String fragment)` Appends a piece of text to the existing text.
`java.lang.String` `getValue()` Accessor
`void` `setValue(java.lang.String hexbyte)` Accessor.
`void` `toString(java.io.Writer stream)` Converts the active state into something meant for human consumption.

### Methods inherited from class org.griphyn.vdl.Chimera

`escape, quote, toString, toXML, toXML, toXML, writeAttribute`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### m_hexbyte

    protected java.lang.String m_hexbyte

optional first 16 byte of file, or less if shorter.

### Constructor Detail

#### File

    public File()

Default c'tor: Construct a hollow shell and allow further information to be added later.

#### File

    public File(java.lang.String value)

C'tor: Constructs the value in the base class.

Parameters:
  `value` - is all or part of the hex bytes.

### Method Detail

#### appendValue

    public void appendValue(java.lang.String fragment)

Appends a piece of text to the existing text.

Specified by:
  `appendValue` in interface `HasText`
Parameters:
  `fragment` - is a piece of text to append to existing text. Appending `null` is a noop.

#### getValue

    public java.lang.String getValue()

Accessor

Specified by:
  `getValue` in interface `HasText`
See Also:
  `setValue(String)`

#### setValue

    public void setValue(java.lang.String hexbyte)

Accessor.

Specified by:
  `setValue` in interface `HasText`
Parameters:
  `hexbyte` -
See Also:
  `getValue()`

#### toString

    public void toString(java.io.Writer stream)
                  throws java.io.IOException

Converts the active state into something meant for human consumption. The method will be called when recursively traversing the instance tree.

Specified by:
  `toString` in class `org.griphyn.vdl.Chimera`
Parameters:
  `stream` - is a stream opened and ready for writing. This can also be a string stream for efficient output.
Throws:
  `java.io.IOException` - if something fishy happens to the stream.